---
title: "Self Hosting"
date: 2025-01-19T14:00:00-03:00
draft: false
summary: "Everyone should have Netflix at home"
---

Those are some of the services that I use currently and that I find very useful. But maybe the hobby is going too far...

# Honorable Mentions:
* [Proxmox VE](https://www.proxmox.com/) - Got put those VMs somewhere.
  * [Proxmox VE Helper Scripts](https://community-scripts.github.io/ProxmoxVE/) - easy deploys.
* [OpenMediaVault](https://www.openmediavault.org/) - NAS made simple.

## Necessary ones
* [AdGuard](https://hub.docker.com/r/adguard/adguardhome) - DNS-based Adblocker service (also useful to block malware and other unwanted things).
  * Easy setup alternative: [PiHole](https://hub.docker.com/r/pihole/pihole) - Same thing, but easier to setup.
* [Portainer](https://www.portainer.io/) - Container management.
  * Lightweight alternative: [Dockge](https://dockge.kuma.pet/) - Container and Compose management.
* [Nginx Proxy Manager](https://nginxproxymanager.com/) - Reverse proxy manager.
  * Alternative: [Caddy](https://hub.docker.com/_/caddy)
* [WatchTower](https://containrrr.dev/watchtower/) - Automatic container updates.
  * My lightweight alternative to this is my own `.sh` script that runs every 4 days that updates all containers on the server.
* [Paperless](https://docs.paperless-ngx.com/) - Keep those important documents and papers organized with easy searching.

## Misc
* [Homarr](https://homarr.dev/) - A beautiful dashboard with all services and sometimes some nice widgets.
* [Beszel](https://beszel.dev/) - Server monitor with some useful alarms.
* [Statping](https://statping.com/) - Application ping.
  * Beautier alternative: [Uptime Kuma](https://uptime.kuma.pet/).
* [Gitea](https://gitea.com/) - Homemade GitHub (with Actions!)
* [Notepad](https://github.com/pereorga/minimalist-web-notepad) - Homemade dontpad.
* [Code Server](https://hub.docker.com/r/linuxserver/code-server/) - VSCode inside of a Docker.
* [FileBrowser](https://filebrowser.org/installation#docker/) - Hosting files made easier.
* [Ngnix](https://hub.docker.com/_/nginx/) - Let's all love nginx.
* [WireGuard](https://hub.docker.com/r/linuxserver/wireguard) - Own personal VPN tunnel.
* [it-tools](https://hub.docker.com/r/corentinth/it-tools) - Some useful tools that we use every now and then.

## Media (*arr stack)
* [Jellyfin](https://hub.docker.com/r/linuxserver/jellyfin/) - Homemade Netflix (I hate Plex).
* [Transmission](https://hub.docker.com/r/linuxserver/transmission/) - Torrent client with a simple web interface.
  * Alternative [qBitTorrent](https://hub.docker.com/r/linuxserver/qbittorrent) - I'm unlucky to setup it but ok, it's nicer.
* [Prowlarr](https://hub.docker.com/r/linuxserver/prowlarr/) - Torrent tracker aggregator.
* [Sonarr](https://hub.docker.com/r/linuxserver/sonarr/) - TV shows management (Torrent integration).
* [Radarr](https://hub.docker.com/r/linuxserver/radarr/) - Movies management (Torrent integration).
* [Lidarr](https://hub.docker.com/r/linuxserver/lidarr/) - Music management (Torrent integration).

## Game server
* [Minecraft Server](https://hub.docker.com/r/itzg/minecraft-server/) - For that 2 week period every 3 years.